net.sourceforge.jnlp.util

## Class ScreenFinder

- java.lang.Object
- - net.sourceforge.jnlp.util.ScreenFinder

    public class ScreenFinder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ScreenFinder()`

### Method Summary

Methods
`static void` `centerWindowsToCurrentScreen(java.awt.Window w)`
`static java.awt.GraphicsDevice` `getCurrentScreen()`
`static java.awt.Rectangle` `getCurrentScreenSizeWithoutBounds()`
`static java.awt.GraphicsDevice` `getScreenOnCoords(java.awt.Point point)`
`static java.awt.Rectangle` `getScreenOnCoordsWithutBounds(java.awt.Point p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScreenFinder

    public ScreenFinder()

### Method Detail

#### getCurrentScreen

    public static java.awt.GraphicsDevice getCurrentScreen()

#### getCurrentScreenSizeWithoutBounds

    public static java.awt.Rectangle getCurrentScreenSizeWithoutBounds()

#### centerWindowsToCurrentScreen

    public static void centerWindowsToCurrentScreen(java.awt.Window w)

#### getScreenOnCoords

    public static java.awt.GraphicsDevice getScreenOnCoords(java.awt.Point point)

#### getScreenOnCoordsWithutBounds

    public static java.awt.Rectangle getScreenOnCoordsWithutBounds(java.awt.Point p)